Databases
cancel
Showing results for 
Search instead for 
Did you mean: 

PA-RISC 64 Bit vs. Tru64 UNIX

Geoff Valdez
Occasional Advisor

PA-RISC 64 Bit vs. Tru64 UNIX

Hello all,

I am currently starting the process of patching our Oracle databases from 9.2.0.4 to 9.2.0.7 on our HPUX 9000/800/L1500-7x machine.

However, Oracle support suggested I download a patch for a Tru64 UNIX configuration: the Oracle README for a Tru64 UNIX config. requires HPUX operating system 5.1A or 5.1B.

Our current operating system is 11.11, which is verified by the following command:

$ uname -a
HP-UX nmesc B.11.11 U 9000/800 771947620 unlimited-user license
$

My question is: What command do I enter to verify whether this is a PA-RISC 64 bit or Tru64 UNIX 64 bit configuration? Oracle has different instructions for applying the 9.2.0.7 patch, depending on this value.

Thanks for any info...
Geoff Valdez
9 REPLIES
Patrick Wallek
Honored Contributor

Re: PA-RISC 64 Bit vs. Tru64 UNIX

You are most definitely on HP-UX 11.11 which is PA-RISC 64bit. ALL HP9000 (non-Itanium) model machines are PA-RISC. These machines are HP-UX 11.X only and have never even thought about running TRU64.

Oracle needs to get their facts straight. There is no such thing as HPUX OS 5.1A or B. There is probably a HP TRU64 5.1A or 5.1B.

Bharat Katkar
Honored Contributor

Re: PA-RISC 64 Bit vs. Tru64 UNIX

Hi Geoff,

Run print_manifest.

# /opt/ignite/bin/print_manifest > /tmp/configuration

# cat /tmp/configuration

And look for the System Hardware Information.

Regards,
You need to know a lot to actually know how little you know
Robert-Jan Goossens_1
Honored Contributor

Re: PA-RISC 64 Bit vs. Tru64 UNIX

Hi Geoff,

No doubt you are on PA-RISC HPUX, seems oarcle made a mistake in confusing Tru64 with HPUX.

Check it with

# file /stand/vmunix
/stand/vmunix: ELF-64 executable object file - PA-RISC 2.0 (LP64)

Regards,
Robert-Jan
Luk Vandenbussche
Honored Contributor

Re: PA-RISC 64 Bit vs. Tru64 UNIX

Hi Geoff

Your os version is Hpux 11.11
Your server is L1500

So you NEED the patches for PA-RISC 64 bit

Tru64 doesn't run on HP9000 servers with PA-RISC processor
Kent Ostby
Honored Contributor

Re: PA-RISC 64 Bit vs. Tru64 UNIX

That's an hp-ux box not a true-64 box.

Go with the hp-ux instructions and frankly, I would be very suspicious of that patch.
"Well, actually, she is a rocket scientist" -- Steve Martin in "Roxanne"
James R. Ferguson
Acclaimed Contributor

Re: PA-RISC 64 Bit vs. Tru64 UNIX

Hi Geoff:

Your HP9000 is a PA-RISC 64-bit architecture.

From 'uname' you can see that you are funning HP-UX 11.11.

# getconf KERNEL_BITS

...will show you that you are running a 64-bit kernel.

Regards!

...JRF...

Geoff Wild
Honored Contributor

Re: PA-RISC 64 Bit vs. Tru64 UNIX

You are 64 bits - all 11.11 are 64 bit.

file /stand/vmunix

Some good info on Merijn's site:

http://www.cmve.net/~merijn/faq.html

Rgds...Geoff
Proverbs 3:5,6 Trust in the Lord with all your heart and lean not on your own understanding; in all your ways acknowledge him, and he will make all your paths straight.
Geoff Valdez
Occasional Advisor

Re: PA-RISC 64 Bit vs. Tru64 UNIX

Thanks everyone for your input. I was able to confirm that this is a PA-RISC 64 system based on all of your suggestions.

Now I won't have any second thoughts (or heart attacks) wondering whether or not I am applying the appropriate patch. I have started downloading the Oracle database patch for the HP-UX PA-RISC (64 bit) configuration (instead of the Tru64 version).

Thanks again for the expert advice from everyone...
Geoff Valdez
Geoff Valdez
Occasional Advisor

Re: PA-RISC 64 Bit vs. Tru64 UNIX

Users provided correct solution(s)